File: control

package info (click to toggle)
ruby-ruby2-keywords 0.0.2-2
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 84 kB
  • sloc: ruby: 33; makefile: 4
file content (25 lines) | stat: -rw-r--r-- 977 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Source: ruby-ruby2-keywords
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper-compat (= 12),
               gem2deb (>= 1)
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-ruby2-keywords.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-ruby2-keywords
Homepage: https://github.com/ruby/ruby2_keywords
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-ruby2-keywords
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: source-level compatibility library between ruby2.7 and ruby3
 This package provides an empty `Module#ruby2_keywords` method for ruby2.7,
 used to achieve source-level compatibility between ruby2.7 and ruby3. On
 ruby3, it does nothing.